View Issue Details

IDProjectCategoryView StatusLast Update
11743Feature requests[All Projects] Theme editorpublic2018-04-06 11:48
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target Version3.0Fixed in Version3.0 
Summary11743: column width : no empty
Description

Looking at column width : we have can have some differnet behaviour for each question type.

For exemple : have 6 for some and 12 for other, or label width is 12-(answer wisth) iof not set etc ...

Think it can be interesting to have "empty" choice :
""=>"Leave default from question".

Additional Information

We have:
text_input_width
text_input_columns
label_input_columns

Tagsanswers_html

Activities

DenisChenu

DenisChenu

2016-10-04 22:28

developer   ~41129

It's just for your point of view : you can do it or assign it to me .

The final default come from qanda (https://github.com/LimeSurvey/LimeSurvey/blob/answers_html/application/helpers/qanda_helper.php#L2875) QuestionObject in future.

DenisChenu

DenisChenu

2016-10-11 11:56

developer   ~41227

See : http://testing.sondages.pro/answershtml/alternate/awesome/index.php/survey/index/sid/79788/newtest/Y/lang/fr

I'm unsure it work when imported : but text-input_width is set to '' in DB : if you don't update the question : it stay ''.

Usage :withColumn boolean. If text-input_width=='' : we don't have to add columns. And adding text-input_size attribute allow us to set form-inline class.

:)



limesurvey_survey_Empty-text-input-width.lss (18,632 bytes)
DenisChenu

DenisChenu

2016-10-18 02:27

developer   ~41413

Fix committed to answers_html branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=21070

DenisChenu

DenisChenu

2016-10-18 02:28

developer   ~41414

And now : must use

Related Changesets

LimeSurvey: answers_html 33a3e4c6

2016-10-18 02:26:04

DenisChenu

Details Diff
New feature 11743: add empty option to column width
Dev: needed for default
Dev: must be removed to array : sometimes width set columln, and sometime size
Affected Issues
11743
mod - application/core/packages/limesurvey/survey.css Diff File
mod - application/helpers/qanda_helper.php Diff File
mod - application/helpers/questionHelper.php Diff File

Issue History

Date Modified Username Field Change
2016-10-04 22:25 DenisChenu New Issue
2016-10-04 22:25 DenisChenu Status new => assigned
2016-10-04 22:25 DenisChenu Assigned To => LouisGac
2016-10-04 22:26 DenisChenu Summary colupn width : no empty => column width : no empty
2016-10-04 22:26 DenisChenu Tag Attached: answers_html
2016-10-04 22:28 DenisChenu Note Added: 41129
2016-10-04 22:28 DenisChenu Target Version => 3.0
2016-10-04 22:29 DenisChenu Additional Information Updated View Revisions
2016-10-11 11:56 DenisChenu File Added: limesurvey_survey_Empty-text-input-width.lss
2016-10-11 11:56 DenisChenu Note Added: 41227
2016-10-18 02:05 DenisChenu Assigned To LouisGac => DenisChenu
2016-10-18 02:27 DenisChenu Changeset attached => LimeSurvey answers_html 33a3e4c6
2016-10-18 02:27 DenisChenu Note Added: 41413
2016-10-18 02:27 DenisChenu Resolution open => fixed
2016-10-18 02:28 DenisChenu Status assigned => resolved
2016-10-18 02:28 DenisChenu Fixed in Version => 3.0
2016-10-18 02:28 DenisChenu Note Added: 41414
2018-04-06 11:48 markusfluer Status resolved => closed